#define rev	r5564

%if 0%{?rev:1}
%define hash	b4b82c1379a2
%endif

%define rel	1

Name:		nml
Summary:	A tool to compile nml files to grf or nfo files
Version:	0.4.4
Release:	%mkrel %{?rev:0.%rev.}%{rel}
License:	GPLv2+ and ZPLv2.1
Group:		Graphics/Utilities
Url:		http://dev.openttdcoop.org/projects/nml
Source0:	http://bundles.openttdcoop.org/nml/releases/LATEST/%{name}-%{version}%{?rev:.%rev}%{?hash:-%hash}.tar.gz
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pillow
BuildRequires:	python3-ply
Requires:	python3-ply
Requires:	python3-pillow
Requires:	python3-pkg-resources

%description
A tool to compile nml files to grf and/or nfo files.

NML is a meta-language that aims to be a lot simpler to learn and use than nfo.

%prep
%setup -q -n %{name}-%{version}%{?rev:.%rev}%{?hash:-%hash}
%autopatch -p1

# fix build with new python3-pillow
sed -i -e 's,tostring(),tobytes(),g' \
	nml/spriteencoder.py \
	nml/lz77.py

%build
%py3_build

%install
%py3_install

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

#man pages
install -Dpm644 docs/nmlc.1 %{buildroot}%{_mandir}/man1/nmlc.1

#unpackaged files
rm -rf %{buildroot}%{python_sitelib}/{easy-install.pth,site.py}

%check
%make regression

%files
%doc examples/
%doc docs/changelog.txt docs/index.html docs/readme.txt
%license docs/license.txt
%{_bindir}/nmlc
%{_mandir}/man1/nmlc.1*
%{python3_sitearch}/%{name}-*-py%{python3_version}.egg-info/
%{python3_sitearch}/%{name}/
%{python3_sitearch}/nml_lz77.cpython-*.so


%changelog
* Fri Jan 08 2016 wally <wally> 0.4.4-1.mga6
+ Revision: 920644
- new version 0.4.4

* Thu Oct 15 2015 wally <wally> 0.4.2-3.mga6
+ Revision: 891750
- fix build with new python3-pillow

* Thu Oct 08 2015 tv <tv> 0.4.2-2.mga6
+ Revision: 887755
- use right py*version macro
- rebuild for python 3.5

* Thu Sep 24 2015 wally <wally> 0.4.2-1.mga6
+ Revision: 883346
- new version 0.4.2
- use new %%py3_build and %%py3_install macros

* Fri Apr 24 2015 wally <wally> 0.4.1-3.mga5
+ Revision: 820701
- require python3-pkg-resources

* Thu Apr 23 2015 wally <wally> 0.4.1-2.mga5
+ Revision: 820600
- new version 0.4.1
- switch to python3

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-5.mga5
+ Revision: 746333
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.1-4.mga5
+ Revision: 727478
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-3.mga5
+ Revision: 682899
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Wed May 14 2014 wally <wally> 0.3.1-1.mga5
+ Revision: 622787
- new version 0.3.1

* Tue Apr 01 2014 wally <wally> 0.3.0-1.mga5
+ Revision: 611172
- new version 0.3.0
- drop upstreamed pillow support patch

* Tue Oct 22 2013 umeabot <umeabot> 0.2.4-5.mga4
+ Revision: 542896
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2.4-4.mga4
+ Revision: 497962
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 19 2013 wally <wally> 0.2.4-3.mga4
+ Revision: 467594
- add patch to add python-pillow support (from Fedora)
- clean .spec

* Sat Jan 12 2013 umeabot <umeabot> 0.2.4-2.mga3
+ Revision: 361037
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Fri Nov 02 2012 wally <wally> 0.2.4-1.mga3
+ Revision: 312650
- fix RPM group
- new version 0.2.4

* Mon Feb 27 2012 zezinho <zezinho> 0.2.3-1.mga2
+ Revision: 215574
- new version

* Sat Dec 31 2011 wally <wally> 0.2.1-1.mga2
+ Revision: 189255
- imported package nml

